public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/autojump/
Date: Sun, 25 Feb 2024 02:43:54 +0000 (UTC)	[thread overview]
Message-ID: <1708829006.0012518a624c0181e6679443e4d46deea3ddd39a.mattst88@gentoo> (raw)

commit:     0012518a624c0181e6679443e4d46deea3ddd39a
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 25 02:35:56 2024 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Feb 25 02:43:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0012518a

app-shells/autojump: Add Python 3.12 compatibility

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-shells/autojump/autojump-22.5.3-r3.ebuild | 88 +++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

diff --git a/app-shells/autojump/autojump-22.5.3-r3.ebuild b/app-shells/autojump/autojump-22.5.3-r3.ebuild
new file mode 100644
index 000000000000..2d175c7c7050
--- /dev/null
+++ b/app-shells/autojump/autojump-22.5.3-r3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 vcs-snapshot prefix
+
+DESCRIPTION="change directory command that learns"
+HOMEPAGE="https://github.com/wting/autojump"
+SRC_URI="https://github.com/wting/${PN}/archive/release-v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~x64-macos"
+IUSE="ipython test"
+REQUIRED_USE="ipython? ( ${PYTHON_REQUIRED_USE} )"
+
+RESTRICT="!test? ( test )"
+RDEPEND="ipython? ( ${PYTHON_DEPS} )"
+DEPEND="${PYTHON_DEPS}
+	test? (
+		>=dev-vcs/pre-commit-0.7.0[${PYTHON_SINGLE_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+	"${FILESDIR}"/${PV}-Use-mock-from-unittest.patch
+)
+
+src_prepare() {
+	default
+	sed -e "s:/usr/local/share:/usr/share:" \
+		-i bin/autojump.sh || die
+
+	# autojump_argparse is only there for Python 2.6 compatibility
+	sed -e "s:autojump_argparse:argparse:" \
+		-i bin/autojump || die
+
+	hprefixify -q '"' -w '/usr\/share/' bin/autojump.sh
+}
+
+src_compile() {
+	:
+}
+
+src_install() {
+	dobin bin/"${PN}"
+	python_doscript "${ED}"/usr/bin/"${PN}"
+
+	insinto /etc/profile.d
+	doins bin/"${PN}".sh
+
+	insinto /usr/share/"${PN}"/
+	doins bin/"${PN}.bash"
+	doins bin/"${PN}.zsh"
+	doins bin/"${PN}.fish"
+	insinto /usr/share/zsh/site-functions
+	doins bin/_j
+
+	python_domodule bin/autojump_argparse.py bin/autojump_data.py \
+		bin/autojump_match.py bin/autojump_utils.py
+	if use ipython; then
+		python_domodule tools/autojump_ipython.py
+	fi
+
+	doman docs/"${PN}.1"
+	einstalldocs
+}
+
+pkg_postinst() {
+	if use ipython; then
+		elog 'This tool provides "j" for ipython, please add'
+		elog '"import autojump_ipython" to your ipy_user_conf.py.'
+		elog
+	fi
+
+	elog 'If you use app-shells/fish, add the following code to your'
+	elog 'config.fish to get autojump support:'
+	elog 'if test -f /usr/share/autojump/autojump.fish'
+	elog '    source /usr/share/autojump/autojump.fish'
+	elog 'end'
+}


             reply	other threads:[~2024-02-25  2:43 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-25  2:43 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-25 18:49 [gentoo-commits] repo/gentoo:master commit in: app-shells/autojump/ Matt Turner
2024-04-02 16:37 Arthur Zamarin
2024-04-02 16:37 Arthur Zamarin
2023-11-08 18:46 Matt Turner
2023-09-10 16:51 Matt Turner
2023-09-10 16:51 Matt Turner
2022-10-29 17:44 Matt Turner
2022-01-24  5:55 Matt Turner
2022-01-24  5:55 Matt Turner
2021-10-21 23:28 Sam James
2021-10-21 23:28 Sam James
2021-07-24  4:09 Sam James
2021-07-24  4:09 Sam James
2021-07-12 21:59 Sam James
2021-06-08 16:54 Sergei Trofimovich
2021-06-02  1:14 Matt Turner
2021-03-08 20:40 Matt Turner
2020-08-19  4:39 Matt Turner
2020-02-01  3:42 Matt Turner
2020-02-01  3:42 Matt Turner
2020-01-30 21:26 Michał Górny
2019-04-11  8:07 Fabian Groffen
2019-04-09 16:10 Matt Turner
2018-11-25 18:11 Matt Turner
2018-08-15 23:31 Matt Turner
2018-08-12 15:46 Virgil Dupras
2018-04-06 11:05 Fabian Groffen
2018-03-26  3:55 Matt Turner
2018-03-11  1:04 Matt Turner
2017-11-15 22:15 Patrice Clement
2017-04-22  9:56 Pacho Ramos
2017-04-20  7:59 David Seifert
2015-12-11 21:09 Patrice Clement
2015-12-11 21:09 Patrice Clement
2015-12-11 21:09 Patrice Clement
2015-12-11 21:09 Patrice Clement
2015-09-23  9:15 Patrice Clement
2015-09-23  9:15 Patrice Clement
2015-09-13 17:20 Patrice Clement
2015-09-13 17:20 Patrice Clement
2015-09-13 17:20 Patrice Clement
2015-09-13 17:20 Patrice Clement
2015-09-13 17:20 Patrice Clement
2015-09-07 11:42 Patrice Clement
2015-09-07 11:42 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1708829006.0012518a624c0181e6679443e4d46deea3ddd39a.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox